/* Replication do file for:  Collins, Paul M., Jr. 2008. Transforming the United States Courts of Appeals Data Bases in Stata. Law & Courts 18(1): XX-XX */
/* To access the data bases on which this code is based go to: http://www.as.uky.edu/polisci/ulmerproject/appctdata.htm */



* Code for Songer's United States Courts of Appeals Data Base *

set mem 75m

/* NOTE: YOU WILL HAVE TO CHANGE THE PATH LOCATION OF THE DATA */

use "cta96_stata.dta"

/* create new variables for judge 1 */

gen j1vote1=direct1
gen j1vote2=direct2
gen j1maj1=1
gen j1maj2=1 if direct2~=.

/* give each case a unique identification number */

gen id = _n

/* reshape the data */

reshape long  codej@ j@vote1 j@vote2 j@maj1 j@maj2 , i (id) j (judgeid) 

/* drop missing values */

drop if codej==. & jvote1==. & jvote2==. & jmaj1==. & jmaj2==.







* Code for Kuersten and Haire's Updated United States Courts of Appeals Data Base *

set mem 75m

/* NOTE: YOU WILL HAVE TO CHANGE THE PATH LOCATION OF THE DATA */

use "cta96_stata.dta"

/* create new variables for judge 1 */

gen j1_vote1=direct_1
gen j1_vote2=direct_2
gen j1_maj1=1
gen j1_maj2=1 if direct_2~=.

/* rename variables */

rename j2vote2 j2_vote2 
rename j2maj1 j2_maj1
rename j3_maj_1 j3_maj1
rename j4_vote_1 j4_vote1
rename j4_vote_2 j4_vote2
rename j4maj1 j4_maj1
rename j5_vote_1 j5_vote1
rename j5_vote_2 j5_vote2
rename j5_maj_2 j5_maj2
rename j6_vote_1 j6_vote1
rename j7_vote_1 j7_vote1
rename j7_vote_2 j7_vote2
rename j8_vote_1 j8_vote1
rename j8_vote_2 j8_vote2
rename j9_vote_1 j9_vote1
rename j10_vote_1 j10_vote1
rename j10_vote_2 j10_vote2
rename j13_vote_1 j13_vote1
rename j13_vote_2 j13_vote2

/* give each case a unique identification number */

gen id = _n

/* reshape the data */

reshape long  j@ j@_vote1 j@_vote2 j@_maj1 j@_maj2 , i (id) j (judgeid) 

/* drop missing values */

drop if  j==. & j_vote1==. & j_vote2==. & j_maj1==. & j_maj2==.
